Cyberduck Mountain Duck CLI

#9648 closed defect (wontfix)

Comparison fails to check checksum, resorts to file size instead

Reported by: dstaley Owned by: dkocher
Priority: normal Milestone: 5.1
Component: cli Version: 4.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.11

Description

I'm attempting to synchronize a local directory with a WebDAV directory, using --existing compare. From the debug output, it looks like it's not checking checksums, but relying instead on file sizes. If I'm interpreting the source correctly, this only occurs when Cyberduck is unable to get a checksum either from the remote or the local file.

I think these are the relevant lines from the debug output:

2016-08-08 16:39:52,962 [background-1] DEBUG ch.cyberduck.core.synchronization.SizeComparisonService - Compare size for PathAttributes{accessed=-1, size=5282, modified=1470683902000, created=-1, owner='null', group='null', permission=--, acl={}, checksum='null', etag='8def6a292b5255efebcf616ece1b99d3', storageClass='null', encryption='null', versionId='null', duplicate=false, revision=0, region='null', metadata={}} with LocalAttributes{checksum='null', timestamp=1470683833000, permission=--------- (0)}
2016-08-08 16:39:52,966 [background-1] INFO  ch.cyberduck.core.transfer.upload.CompareFilter - Skip file Path{path='/dav/template/Panels/HTMLHead.html', type=[file]} with comparison equal
2016-08-08 16:39:52,967 [background-1] INFO  ch.cyberduck.core.worker.AbstractTransferWorker - Skip file Path{path='/dav/template/Panels/HTMLHead.html', type=[file]} by filter ch.cyberduck.core.transfer.upload.CompareFilter@4b5074a3 for transfer TransferCallable{file=Path{path='/dav/template/Panels/HTMLHead.html', type=[file]}, local=FinderLocal{bookmark=null, path='/Users/dstaley/Documents/git/github.com/maruccisports/maruccisports.com/dist/Panels/HTMLHead.html'}}

Change History (2)

comment:1 Changed on Aug 22, 2016 at 1:31:23 PM by dkocher

  • Milestone set to 5.1
  • Owner set to dkocher
  • Status changed from new to assigned

This is a regression from #8798.

comment:2 Changed on Aug 24, 2016 at 2:35:49 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

Unfortunately there is no HTTP specification that would allow us to be sure that the checksum in the ETag is actually a digest of the file.

Note: See TracTickets for help on using tickets.
swiss made software